Gdebi not installing required dependencies

Bug #1309387 reported by slumbergod on 2014-04-18
58
This bug affects 12 people
Affects Status Importance Assigned to Milestone
gdebi (Ubuntu)
High
Unassigned
Trusty
High
Unassigned

Bug Description

SRU verification:
1. use trusty
2. run "apt-get download 4g8"
3. run "gdebi-gtk ./4g8*.deb"
4. click on "install" in the gdebi UI
5. verify that the package 4g8 fails to install because the libnet1 dependency is not installed
6. install gdebi from trusty-proposed
7. repeat steps 3,4 and verify that the libnet1 dependency is installed this time.

Gdebi is not installing required dependencies before installing the desired package.
You need to run "sudo apt-get install -f" to fix the problem.
The usual behaviour is to install the dependencies as part of the desired package installation.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: gdebi 0.9.5.3
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CurrentDesktop: XFCE
Date: Fri Apr 18 19:59:53 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-04-18 (0 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140414)
PackageArchitecture: all
SourcePackage: gdebi
UpgradeStatus: No upgrade log present (probably fresh install)

slumbergod (slumbergod) wrote :
Doug McMahon (mc3man) wrote :

While not the best example (as it's in the repos), a simple example of failure with a nautilus-actions .deb -

Selecting previously unselected package nautilus-actions.
(Reading database ... 184849 files and directories currently installed.)
Preparing to unpack .../nautilus-actions_3.2.3-1_amd64.deb ...
Unpacking nautilus-actions (3.2.3-1) ...
dpkg: dependency problems prevent configuration of nautilus-actions:
 nautilus-actions depends on libunique-3.0-0 (>= 2.90.1); however:
  Package libunique-3.0-0 is not installed.

dpkg: error processing package nautilus-actions (--install):
 dependency problems - leaving unconfigured

Changed in gdebi (Ubuntu):
status: New → Confirmed
Doug McMahon (mc3man) wrote :

Broke with the gdebi (0.9.5) package, 0.9.3 is ok

Dave Gilbert (ubuntu-treblig) wrote :

change requested by hjd on #ubuntu-bugs, seems reasonable

Changed in gdebi (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Unfortunately I can not reproduce the issue. I installed nautilus-actions in a clean chroot with gdebi 0.9.5.3 just fine. So I need help to reproduce the bug, if you can reproduce it, could you please attach your /etc/apt/sources.list /var/lib/dpkg/status and output of "gdebi --apt-line package-that-triggers-the-bug.deb" to this bugreport? And the exact version of gdebi please.

Thanks,
 Michael

Changed in gdebi (Ubuntu):
status: Triaged → Incomplete
status: Incomplete → In Progress
Michael Vogt (mvo) wrote :

I can reproduce it with gdebi-gtk, its only a problem there, not with the CLI version (which I tested in comment #6).

Michael Vogt (mvo) wrote :

Here is the fix:

=== modified file 'GDebi/GDebiCommon.py'
--- GDebi/GDebiCommon.py 2014-04-01 20:06:09 +0000
+++ GDebi/GDebiCommon.py 2014-04-22 07:26:49 +0000
@@ -91,7 +91,7 @@
         if file.endswith(".click"):
             klass = ClickPackage
         try:
- self._deb = klass(file, Cache(), downloaded)
+ self._deb = klass(file, self._cache, downloaded)
         except (IOError, SystemError, ValueError) as e:
             logging.debug("open failed with %s" % e)
             mimetype=guess_type(file)

description: updated
Michael Vogt (mvo) wrote :

I uploaded a SRU for this:

subject: [ubuntu/trusty-proposed] gdebi 0.9.5.3ubuntu1 (Waiting for approval)

Hello slumbergod, or anyone else affected,

Accepted into trusty-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gdebi (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed

On 04/22/2014 12:50 AM, Michael Vogt wrote:
> Thanks for your bugreport.
>
> Unfortunately I can not reproduce the issue. I installed nautilus-
> actions in a clean chroot with gdebi 0.9.5.3 just fine. So I need help
> to reproduce the bug, if you can reproduce it, could you please attach
> your /etc/apt/sources.list /var/lib/dpkg/status and output of "gdebi
> --apt-line package-that-triggers-the-bug.deb" to this bugreport? And the
> exact version of gdebi please.
>
> Thanks,
> Michael
>
> ** Changed in: gdebi (Ubuntu)
> Status: Triaged => Incomplete
>
> ** Changed in: gdebi (Ubuntu)
> Status: Incomplete => In Progress
>
Michael:

I will supply the first two pieces of information you requested. The
problem occurs on a Lubuntu 14.04 test machine (not the machine I'm
sending this e-mail from, which is Lubuntu 13.10). The problem only
occurs on 14.04.

But from the testing I've done already, I'm almost certain that it will
not fail if I type the statement you indicate in a terminal session.

In my testing, if I did a statement invoking gdebi in a terminal
session, it worked without failing.

But the question comes to mind, did I do "sudo gdebi
problem-package.deb" or did I do "gdebi problem-package.deb" (answering
the dialog requesting priveleges)? I suspect I did the "sudo" version.
I will give it a try and report back.

As I recall, it didn't fail when run from a terminal session. It only
failed when I clicked-on (in Firefox, on my website), the hyperlink
referencing the package.deb file, and selected the option to open it
with gdebi.

It seems like it also failed when (in the file browser) I double-clicked
on the package.deb file downloaded previously.

I already attached the package file to the bug-report.

I will do more testing to clarify all of these questions, and append my
test results to the bug-report.

--
Sincerely,
Aere

Aere Greenway (aere) wrote :

On 04/22/2014 01:52 AM, Michael Vogt wrote:
> I uploaded a SRU for this:
>
> subject: [ubuntu/trusty-proposed] gdebi 0.9.5.3ubuntu1 (Waiting for
> approval)
>
Michael:

Thank you for your quick work on this. I am impressed, and I say that
as a fellow software developer.

Given that you were able to reproduce the problem, I will not do the
additional testing needed to gather more information (unless you ask me
to do so).

When the fix becomes available to me from the repository, I will test
it, and report back.

--
Sincerely,
Aere

Doug McMahon (mc3man) wrote :

gdebi 0.9.5.3ubuntu1 fixes issue

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.9.5.4

---------------
gdebi (0.9.5.4) unstable; urgency=low

  [ Michael Vogt ]
  * fix installing of dependency packages when called with sudo
    (LP: #1309387)

  [ Michael Werle ]
  * gdebi-kde, GDebi/GDebiKDE.py:
    - Fix python3 internatlization bugs (Closes: #743756) (LP: #1304143).

  [ Luca Falavigna ]
  * Fix tests at build time (Closes: #743091).

 -- Luca Falavigna <email address hidden> Tue, 22 Apr 2014 10:54:48 +0200

Changed in gdebi (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.9.5.3ubuntu1

---------------
gdebi (0.9.5.3ubuntu1) trusty-proposed; urgency=low

  * fix installing of dependency packages when called with sudo
    (LP: #1309387)
 -- Michael Vogt <email address hidden> Tue, 22 Apr 2014 09:35:55 +0200

Changed in gdebi (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gdebi has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers